View Issue Details

IDProjectCategoryView StatusLast Update
0004786Kali Linux[All Projects] Kali Package Bugpublic2018-06-13 08:51
ReportermutsAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2018.3 
Summary0004786: Eyewitness reported broken
DescriptionAccording to https://twitter.com/egyp7/status/1004373687884304386, eyewitness doesn't work out of the box.
"Current incantation to get correct dependencies: cd /usr/share/eyewitness/setup; ./setup.sh
Then to work around broken phantomjs: export QT_QPA_PLATFORM=offscreen; eyewitness --headless -x /root/foo.xml"

Relationships

related to 0004011 resolvedsbrun Update fern-wifi-cracker, routersploit, wifiphisher, lynis, wafw00f, eyewitness) 

Activities

rhertzog

2018-06-07 06:56

administrator   ~0009216

So there are multiple things said in this twitter discussion:

- that the package lags behind, it might have been true, but we packaged a new release on May 31th so we are good now

- that it doesn't work headless with selenium, that's correct but that has always been the case and it's not really something we can do anything about

- that the package doesn't install dependencies, that's wrong, however it's true that selenium has been broken with firefox-driver, hence when we updated eyewitness we bundled gecko-driver (another driver for selenium that is recommended by the upstream developer)

Now with all that being said, I'm not sure what we can really do better now and the current package should work.

The fact that you need an environment variable with phantomjs to work in headless mode is also true AFAIK. We already added this environment variable in arachni for the same reason. We're going to add it in the eyewitness helper script too.

Anything else that we should do better ?

rhertzog

2018-06-07 07:51

administrator   ~0009217

We just noticed that "eyewitness --headless" was broken in our last update, the path tested for phantomjs was not the one in use by the Debian package. We will fix this too.

sbrun

2018-06-07 12:29

manager   ~0009219

New version 2.2.2-0kali2 fixes the "eyewitness --headless"

kimocoder

2018-06-07 18:09

reporter   ~0009221

It now works, but there is a pip3 requirement missing. Can't remember which one from this morning. Run the tool and it's stated above the head banner.

sbrun

2018-06-13 08:51

manager   ~0009240

I retested the version 2.2.2-0kali2 and I didn't see any mention of a missing requirement.
Please open a bug if you get again the issue.

Issue History

Date Modified Username Field Change
2018-06-06 17:21 muts New Issue
2018-06-07 06:56 rhertzog Note Added: 0009216
2018-06-07 06:56 rhertzog Assigned To => sbrun
2018-06-07 06:56 rhertzog Status new => assigned
2018-06-07 07:44 g0tmi1k Relationship added related to 0004011
2018-06-07 07:51 rhertzog Note Added: 0009217
2018-06-07 12:29 sbrun Note Added: 0009219
2018-06-07 18:09 kimocoder Note Added: 0009221
2018-06-13 08:51 sbrun Status assigned => resolved
2018-06-13 08:51 sbrun Resolution open => fixed
2018-06-13 08:51 sbrun Fixed in Version => 2018.3
2018-06-13 08:51 sbrun Note Added: 0009240